<?php defined('SYSPATH') or die('No direct script access.');
class Model_Categorie{
// Table name used by this model
protected $_table = 'categorie';
/**
* Adds a new message for a user
*
* @param string user_id
* @param string user's message
* @return Database
*/
public function add($nom, $libelle)
{
$values=array($nom, $libelle);
$data = array('nom','libelle');
return DB::insert($this->_table, $data)
->values($values)
->execute();
}

/**
* Gets all messages
*
* @return array
* */
public function get_all()
{
return DB::select()
->from($this->_table)
->order_by('id')
->execute()
->as_array();
}
/**
* Deletes a message from the DB
*
* @param string user_id
* @param string user's message
* @return Database
*/
public function delete($id)
{
return DB::delete($this->_table)
->where('id', '=', $id)
->execute();
}
/**
* Counts all messages
*
* @return int
*/
public function count_all()
{
return DB::select(DB::expr('COUNT(*) AS message_count'))
->from($this->_table)
->execute()
->get('message_count');
}
}